"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-311/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128259BC0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128259D00>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128259C60>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128259DA0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128259E40>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128259EE0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128259F80>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825A020>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825A0C0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825A160>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825A200>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825A2A0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825A340>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825A3E0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825A480>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825A520>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825A5C0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825A660>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825A700>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825A7A0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825A840>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825A8E0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825A980>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825AA20>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825AAC0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825AB60>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825AC00>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825ACA0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825AD40>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825ADE0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825AE80>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825AF20>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825AFC0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825B060>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825B100>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825B1A0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825B240>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825B2E0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825B380>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825B420>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825B4C0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825B560>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825B600>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825B6A0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825B740>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825B7E0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825B880>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825B920>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825B9C0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825BA60>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825BB00>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825BBA0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825BC40>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825BCE0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825BD80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825BE20>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825BEC0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000002312825BF60>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128294040>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x00000231282940E0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128294180>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128294220>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x00000231282942C0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128294360>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128294400>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x00000231282944A0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128294540>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x00000231282945E0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128294680>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128294720>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x00000231282947C0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128294860>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128294900>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x00000231282949A0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128294A40>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128294AE0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128294B80>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128294C20>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128294CC0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128294E00>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128294D60>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128294EA0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128294F40>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128294FE0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000023128295080>)]
name: str = 'fr_HOCCN'
